View Issue Details

IDProjectCategoryView StatusLast Update
0002515SymmetricDSImprovementpublic2016-05-17 13:01
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.29 
Target Version3.7.30Fixed in Version3.7.33 
Summary0002515: Allow configuration of sym_data create_time timezone
DescriptionCurrently it's possible to have database clients in a different timezones which causes sym_data entries whose create_time's are hard to understand because the timezone information was dropped. Further, it's possible to have situations where the purge process will purge sym_data_event rows (which were timestamped with the Symmetric server's timezone) and leave behind seemingly orphaned sym_data rows.

This issue adds a parameter called 'data.create_time.timezone' to SymmetricDS. When not set, triggers should use their default timestamp/timezone. When the parameter is set, triggers should attempt to use the timezone specified.

The format is offset from UTC, eg. "+00:00".

Currently as of 2016-03-03 this is only supported on Postgres and needs to be ported to other dialects.
TagsNo tags attached.

Activities

mmichalek

2016-04-26 17:28

administrator   ~0000787

Adding Oracle support for 3.7.33.

Related Changesets

SymmetricDS: 3.7 996f21a8

2016-03-03 13:09:20

mmichalek

Details Diff
0002515: Allow configuration of sym_data create_time timezone
0002515
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File

SymmetricDS: 3.7 98925de1

2016-04-26 17:29:02

mmichalek

Details Diff
0002515: Allow configuration of sym_data create_time timezone
0002515
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2016-03-03 13:06 mmichalek New Issue
2016-03-03 13:06 mmichalek Status new => assigned
2016-03-03 13:06 mmichalek Assigned To => mmichalek
2016-03-03 13:10 mmichalek Status assigned => closed
2016-03-03 13:10 mmichalek Resolution open => fixed
2016-03-03 13:10 mmichalek Fixed in Version => 3.7.30
2016-03-03 14:00 mmichalek Changeset attached => SymmetricDS 3.7 996f21a8
2016-04-26 17:28 mmichalek Status closed => feedback
2016-04-26 17:28 mmichalek Resolution fixed => reopened
2016-04-26 17:28 mmichalek Note Added: 0000787
2016-04-26 17:28 mmichalek Status feedback => assigned
2016-04-26 17:28 mmichalek Status assigned => resolved
2016-04-26 17:28 mmichalek Resolution reopened => fixed
2016-04-26 17:28 mmichalek Fixed in Version 3.7.30 => 3.7.33
2016-04-29 10:00 mmichalek Changeset attached => SymmetricDS 3.7 98925de1
2016-05-17 13:01 chenson Status resolved => closed